#
# File: rsbac/adf/Makefile
#
# Makefile for the Linux RSBAC Access Control Decision Facility (ADF)
#
# Author and (c) 1999 Amon Ott
#

O_TARGET := adf.o
O_OBJS   := adf_check.o
OX_OBJS  := adf_main.o
M_OBJS   :=
SUB_DIRS :=
MOD_SUB_DIRS :=
ALL_SUB_DIRS := mac fc sim pm ms ff rc auth reg acl

# Adding policies
ifeq ($(CONFIG_RSBAC_MAC),y)
SUB_DIRS += mac
O_OBJS   += mac/mac.o
endif

ifeq ($(CONFIG_RSBAC_FC),y)
SUB_DIRS += fc
O_OBJS   += fc/fc.o
endif

ifeq ($(CONFIG_RSBAC_SIM),y)
SUB_DIRS += sim
O_OBJS   += sim/sim.o
endif

ifeq ($(CONFIG_RSBAC_PM),y)
SUB_DIRS += pm
O_OBJS   += pm/pm.o
endif

ifeq ($(CONFIG_RSBAC_MS),y)
SUB_DIRS += ms
O_OBJS   += ms/ms.o
endif

ifeq ($(CONFIG_RSBAC_FF),y)
SUB_DIRS += ff
O_OBJS   += ff/ff.o
endif

ifeq ($(CONFIG_RSBAC_RC),y)
SUB_DIRS += rc
O_OBJS   += rc/rc.o
endif
ifeq ($(CONFIG_RSBAC_RC_MAINT),y)
SUB_DIRS += rc
O_OBJS   += rc/rc.o
endif

ifeq ($(CONFIG_RSBAC_AUTH),y)
SUB_DIRS += auth
O_OBJS   += auth/auth.o
endif
ifeq ($(CONFIG_RSBAC_AUTH_MAINT),y)
SUB_DIRS += auth
O_OBJS   += auth/auth.o
endif

ifeq ($(CONFIG_RSBAC_REG),y)
SUB_DIRS += reg
MOD_SUB_DIRS += reg
O_OBJS   += reg/reg.o
endif

ifeq ($(CONFIG_RSBAC_ACL),y)
SUB_DIRS += acl
O_OBJS   += acl/acl.o
endif
ifeq ($(CONFIG_RSBAC_ACL_MAINT),y)
SUB_DIRS += acl
O_OBJS   += acl/acl.o
endif

include $(TOPDIR)/Rules.make
